<?php
require_once '../lib-common.php';
include '../glpage/proxy.php';

global $_PAGE;
$_PAGE->setLayout('prefix,debug,myform,suffix'); /* post parameters: new, sta, ana */
$thisPage = $_PAGE->getPage('myform');

$thisPage->setLayout('prefix,register,intake,summary,suffix'); /* post parameters: new, sta, ana */


if (COM_isAnonUser()) {
    $display = SEC_loginRequiredForm();
    $display = COM_createHTMLDocument($display);
    COM_output($display);
    exit;
}

$panel = <<<'PANEL'
<div class="panel with-nav-tabs panel-warning">
  <div class="panel-heading">
    <ul class="nav nav-tabs">
      <li class="active"><a href="#tab1warning" data-toggle="tab"> Register </a></li>
      <li><a href="#tab2warning" data-toggle="tab"> Intake </a></li>
      <li><a href="#tab3warning" data-toggle="tab"> Summary </a></li>
      <li class="dropdown">
      <a href="#" data-toggle="dropdown"> Action <span class="caret"></span></a>
      <ul class="dropdown-menu" role="menu">
        <li><a href="#" onClick="myForm.submit();" data-toggle="tab">Refresh</a></li>
      </ul>
      </li>
    </ul>
  </div>
  <div class="panel-body">
    <div class="tab-content">
PANEL;

// fixing width of center blocks in root PAGE

   $_PAGE->setContent('prefix', '<style>.container-fixed { margin: 0 auto; max-width: 960px; }</style><div class="container-fixed">');
   $_PAGE->setContent('suffix', '</div>');

// set a form tag, when a form spans multiple layout containers

$thisPage->setContent('prefix', '<form method="post" id="myForm" action="myform.php" class="form-horizontal">');
$thisPage->addContent('prefix', '<div class="container">');

$thisPage->addContent('prefix', $panel);
$thisPage->setContent('suffix', '</div></div></div>');

$thisPage->addContent('suffix', '</div>');
$thisPage->addContent('suffix', '</form>');

  $_PAGE->addResource('1bootstrap', '/_examples/css/bootstrap.min.css');
  $_PAGE->addResource('2bootstrap', '/_examples/js/bootstrap.min.js');
  $_PAGE->addResource('3myform',    '/_examples/css/myform.css');
  $_PAGE->addResource('4myform',    '/_examples/js/myform.js');

$template = new Template('./tpl'); 
$template->set_file(array('register' => 'register.thtml',
                            'intake' => 'intake.thtml',
                           'summary' => 'summary.thtml',
/* intake */
                           'tpl_2.2' => 'inc/2.2.thtml',
                        'tpl_2.3_13' => 'inc/2.3_13.thtml',
/* components */
                              'flag' => 'flag.thtml'));

function set_default($what, $template)
{
    $attributes = array();
    if (is_array($_POST[$what])) {
        foreach ($_POST[$what] as $k => $v) {
            $attributes["vc.{$k}.{$v}"] = 'checked="checked"';
            $attributes["vr.{$k}.{$v}"] = 'checked="checked"';
            $attributes["vs.{$k}.{$v}"] = 'selected="selected"';
        }
        $template->set_var($attributes);
    }
    $template->set_var($_POST[$what]);
}

set_default('reg', $template);
set_default('in',  $template);
set_default('sum',  $template);

$_PAGE->addContent('debug', '<pre>' .value_dump($_POST). '</pre>');

$template->set_var('flagColor', 'default' );
$template->parse('witteVlag', 'flag');

$template->set_var('flagColor', 'danger' );
$template->parse('rodeVlag', 'flag');

$template->parse('template_2.2',     'tpl_2.2');
$template->parse('template_2.3_13',  'tpl_2.3_13');

$thisPage->noGlue = true;
$thisPage->setContent('register', '<div class="tab-pane fade in active" id="tab1warning">'.$template->parse('output', 'register').'</div>');
$thisPage->setContent('intake',   '<div class="tab-pane fade" id="tab2warning">'          .$template->parse('output', 'intake').  '</div>');
$thisPage->setContent('summary',  '<div class="tab-pane fade" id="tab3warning">'          .$template->parse('output', 'summary'). '</div>');


$_PAGE->setPageTitle('glPage myForm');
$display = $_PAGE->renderPage('noblocks');

// @todo: obsolete since glPage does not return

COM_output($display);  
exit;
?>